﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace BreadcrumbWPF
{
    public class MyItem : ViewModelBase
    {
        private ObservableCollection<MyItem> items;
        private bool isSelected;
        private bool canSelect;

        public MyItem()
        {
            this.items = new ObservableCollection<MyItem>();
            this.CanSelect = true;
        }

        public bool CanSelect
        {
            get
            {
                return this.canSelect;
            }
            set
            {
                if (this.canSelect != value)
                {
                    this.canSelect = value;
                    this.OnPropertyChanged("CanSelect");
                }
            }
        }

        public bool IsSelected
        {
            get
            {
                return this.isSelected;
            }
            set
            {
                if (this.isSelected != value && this.CanSelect)
                {
                    this.isSelected = value;
                    this.OnPropertyChanged("IsSelected");
                }
            }
        }

        public ObservableCollection<MyItem> Items
        {
            get
            {
                return this.items;
            }
        }

        public string Header { get; set; }
    }
}
